Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
TypeUtility Class Reference

型のユーティリティクラス More...

## Static Public Member Functions
static string | GetTypeName (Type type)
| 型の名前を返す。 More...
static string | GetSlotTypeName (Type type)
| 型の名前を返す（データスロット用） More...
static string | TidyAssemblyTypeName (Type type)
| Typeをシリアライズ可能な文字列に変換する。 More...
static Type | GetAssemblyType (string assemblyTypeName)
| 文字列からSystem.Typeを取得する。 More...
static Type | GetBaseType (Type type)
| 基底型を返す More...
static bool | IsGenericType (Type type)
| typeがジェネリック型かどうかを返す。 More...
static Type[] | GetGenericArguments (Type type)
| ジェネリック型の型引数の配列を返す。 More...
static bool | IsGeneric (Type type, Type genericTypeDefinition)
| 指定したジェネリック型定義から構築されたジェネリック型かどうかを返す。 More...
static bool | IsPrimitive (Type type)
| プリミティブ型かどうかを返す。 More...
static bool | IsEnum (Type type)
| 列挙体かどうかを返す。 More...
static bool | IsClass (Type type)
| クラス型かどうかを返す。 More...
static bool | IsSerializable (Type type)
| シリアライズ可能かどうかを返す。 More...
static bool | IsAbstract (Type type)
| 抽象型かどうかを返す。 More...
static bool | ContainsGenericParameters (Type type)
| ジェネリック型パラメータを含んでいるかどうかを返す。 More...
static MemberInfo | GetMemberInfo (Type type)
| MemberInfoを取得する More...
static bool | IsSubclassOf (Type type, Type c)
| 派生した型かどうかを判断する。 More...
static bool | IsAssignableFrom (Type type, Type c)
| 割り当てられる型かどうかを判断する。 More...
static FieldInfo[] | GetFields (Type type, BindingFlags bindingAttr)
| 型のフィールドを取得する。 More...

## Detailed Description

型のユーティリティクラス

## Member Function Documentation

static bool ContainsGenericParameters | ( | Type | type | ) |
| static

ジェネリック型パラメータを含んでいるかどうかを返す。

Parameters

  type | 型

Returns
  ジェネリック型パラメータを含んでいればtrueを返す。

static Type GetAssemblyType | ( | string | assemblyTypeName | ) |
| static

文字列からSystem.Typeを取得する。

Parameters

  assemblyTypeName | 型名

Returns
  System.Type。assemblyTypeNameが空かnullの場合はnullを返す。

static Type GetBaseType | ( | Type | type | ) |
| static

基底型を返す

Parameters

  type | 型

Returns
  基底型

static FieldInfo [] GetFields | ( | Type | type,
|  | BindingFlags | bindingAttr
| ) |  |
| static

型のフィールドを取得する。

Parameters

  type | 型
  bindingAttr | フィールドの検索方法を制御するフラグ

Returns
  FieldInfoの配列

static Type [] GetGenericArguments | ( | Type | type | ) |
| static

ジェネリック型の型引数の配列を返す。

Parameters

  type | 型

Returns
  ジェネリック型の型引数の配列

static MemberInfo GetMemberInfo | ( | Type | type | ) |
| static

MemberInfoを取得する

Parameters

  type | 型

Returns
  MemberInfo

static string GetSlotTypeName | ( | Type | type | ) |
| static

型の名前を返す（データスロット用）

Parameters

  type | 型

Returns
  型の名前

static string GetTypeName | ( | Type | type | ) |
| static

型の名前を返す。

Parameters

  type | 型

Returns
  型の名前

static bool IsAbstract | ( | Type | type | ) |
| static

抽象型かどうかを返す。

Parameters

  type | 型

Returns
  抽象型であればtrueを返す。

static bool IsAssignableFrom | ( | Type | type,
|  | Type | c
| ) |  |
| static

割り当てられる型かどうかを判断する。

Parameters

  type | 型
  c | 比較する型

Returns
  cのインスタンスをtypeのインスタンスに割り当てられる場合にtrueを返す。

static bool IsClass | ( | Type | type | ) |
| static

クラス型かどうかを返す。

Parameters

  type | 型

Returns
  クラス型であればtrueを返す。

static bool IsEnum | ( | Type | type | ) |
| static

列挙体かどうかを返す。

Parameters

  type | 型

Returns
  列挙体であればtrueを返す。

static bool IsGeneric | ( | Type | type,
|  | Type | genericTypeDefinition
| ) |  |
| static

指定したジェネリック型定義から構築されたジェネリック型かどうかを返す。

Parameters

  type | 型
  genericTypeDefinition | ジェネリック型定義

Returns
  typeがgenericTypeDefinitionから構築されたジェネリック型であればtrueを返す。

static bool IsGenericType | ( | Type | type | ) |
| static

typeがジェネリック型かどうかを返す。

Parameters

  type | 型

Returns
  ジェネリック型であればtrueを返す

static bool IsPrimitive | ( | Type | type | ) |
| static

プリミティブ型かどうかを返す。

Parameters

  type | 型

Returns
  プリミティブ型であればtrueを返す。

static bool IsSerializable | ( | Type | type | ) |
| static

シリアライズ可能かどうかを返す。

Parameters

  type | 型

Returns
  シリアライズ可能であればtrueを返す。

static bool IsSubclassOf | ( | Type | type,
|  | Type | c
| ) |  |
| static

派生した型かどうかを判断する。

Parameters

  type | 型
  c | 比較する型

Returns
  typeがcから派生している場合にtrueを返す。

static string TidyAssemblyTypeName | ( | Type | type | ) |
| static

Typeをシリアライズ可能な文字列に変換する。

Parameters

  type | Typeの値

Returns
  シリアライズ可能な文字列